<IfModule mod_rewrite.c>
RewriteEngine on
Options +FollowSymlinks
RewriteRule ^about.html$ /index/Lists/index/id/8 [L]
RewriteRule ^about/([0-9]+).html$ /index/Lists/index/id/$1 [L]
RewriteRule ^about/([0-9]+)/([0-9]+).html$ /index/Lists/index/id/$1/page/$2 [L]
RewriteRule ^about/([0-9]+)/([0-9]+)/(.+).html$ /index/Lists/index/id/$1/page/$2/v/$3 [L]
RewriteRule ^about/view/([0-9]+).html$ /index/Details/index/id/$1 [L]
RewriteRule ^contact.html$ /index/Lists/index/id/7 [L]
RewriteRule ^contact/([0-9]+).html$ /index/Lists/index/id/$1 [L]
RewriteRule ^contact/([0-9]+)/([0-9]+).html$ /index/Lists/index/id/$1/page/$2 [L]
RewriteRule ^contact/([0-9]+)/([0-9]+)/(.+).html$ /index/Lists/index/id/$1/page/$2/v/$3 [L]
RewriteRule ^contact/view/([0-9]+).html$ /index/Details/index/id/$1 [L]
RewriteRule ^Search.html$ /index/Index/search [L]
RewriteRule ^user.html$ /index/User/index [L]
RewriteRule ^login.html$ /index/User/login [L]
RewriteRule ^reg.html$ /index/User/reg [L]
RewriteRule ^out.html$ /index/User/out [L]
RewriteRule ^password.html$ /index/User/password [L]
RewriteRule ^works.html$ /index/User/works [L]
RewriteRule ^add.html$ /index/User/add [L]
RewriteRule ^PreviousWorks.html$ /index/User/pworks [L]
RewriteRule ^PreviousWorks/([0-9]+).html$ /index/User/pworks/id/$1 [L]
RewriteRule ^PreviousWorks/([0-9]+)/([0-9]+).html$ /index/User/pworks/id/$1/page/$2 [L]
RewriteRule ^PreviousWorks/view/([0-9]+).html$ /index/User/view/id/$1 [L]
RewriteRule ^back.html$ /index/User/back [L]
RewriteRule ^edit.html$ /index/User/edit [L]
RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^(.*)$ index.php?s=$1 [QSA,PT,L]
</IfModule>